<?xml version="1.0" encoding="Windows-1251" ?>

<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:dt="urn:schemas-microsoft-com:datatypes" >
  <xsl:output method="xml" version="1.0" encoding="Windows-1251"/>

  <!-- *****     : *****
	  (   ) ,  
	 (/)  : 
	  -      ,
	    ,   
	
  -->
  <xsl:template match="*|@*">
      <xsl:copy><xsl:apply-templates select="*|@*|text()"/></xsl:copy>
  </xsl:template>

  <!-- *****     ***** -->
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>

  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="[@='']/text()">
    <xsl:choose>
      <xsl:when test=".=''"></xsl:when>
      <xsl:when test=".=''"></xsl:when>
      <xsl:otherwise><xsl:value-of select="." /></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="[@='']">
    <!--  :        (.) -->
  </xsl:template>

  <!--       -->
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
      <xsl:attribute name=""></xsl:attribute>
      <xsl:attribute name="">0</xsl:attribute>
      <xsl:attribute name="">1</xsl:attribute>
      < dt:dt="float">
	<xsl:choose>
	  <xsl:when test="text()=''">0</xsl:when>
	  <xsl:when test="text()=''">20</xsl:when>
	  <xsl:when test="text()=''">10</xsl:when>
	  <xsl:when test="text()=''">18</xsl:when>
	</xsl:choose>
      </>
    </xsl:element>
  </xsl:template>

  <!-- *****        ***** -->
	<!--     
	       . -->
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
      <xsl:attribute name=""></xsl:attribute>
      <xsl:text></xsl:text>
    </xsl:element>
  </xsl:template>

  <xsl:template match="[@='']/@">
	<!--      -->
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>

  <xsl:template match="[@='']/@">
	<!--   -   -->
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>

  <xsl:template match="[@='']/">
	<!--        -->
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>

  <xsl:template match="[@='']/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>
  <xsl:template match="[@='']/">
    <!--  ,    :       -->
  </xsl:template>
  <xsl:template match="//[@='']">
    <!--   -->
  </xsl:template>

  <!--    -->
  <xsl:template match="[@='']/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>
  <xsl:template match="[@='']/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>

  <xsl:template match="//[@='']">
    <!--   -->
  </xsl:template>
  <xsl:template match="//[@='']">
    <!--    ,     ,
	      -->
    <xsl:element name="">
      <xsl:attribute name="ID"><xsl:value-of select="@ID"/></xsl:attribute>
      <xsl:attribute name=""></xsl:attribute>
      <xsl:attribute name="">0</xsl:attribute>
      <xsl:attribute name="">1</xsl:attribute>
      <xsl:apply-templates select="" />
    </xsl:element>
  </xsl:template>

  <!-- *****     ***** -->
  <!--    -->
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>

  <!--      -->
  <xsl:template match="/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>
  <xsl:template match="/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>
  <xsl:template match="/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>
  <xsl:template match="/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>

  <!--      -->

  <!--   /      -->
  <xsl:template match="[@='']/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>
  <xsl:template match="[@='']/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()"/></xsl:element>
  </xsl:template>

  <!--   :
	  -    (|) -->
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/> <!--    (,  , ) -->
      <xsl:element name=""><!--    : -->
	<xsl:attribute name="dt:dt">float</xsl:attribute>11<!--    -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/> <!--    (   ) -->
    </xsl:element>
  </xsl:template>
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/>
      <xsl:element name="">
	<xsl:attribute name="dt:dt">float</xsl:attribute>13<!--    -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/>
    </xsl:element>
  </xsl:template>
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/>
      <xsl:element name="">
	<xsl:attribute name="dt:dt">float</xsl:attribute>13<!--    -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/>
    </xsl:element>
  </xsl:template>

  <!--  -     -->
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/>
      <xsl:element name="">	<!--    : -->
	<xsl:attribute name="dt:dt">float</xsl:attribute>9<!--    -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/>
    </xsl:element>
  </xsl:template>
  <xsl:template match="[@='']">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/>
      <xsl:element name="">	<!--    : -->
	<xsl:attribute name="dt:dt">float</xsl:attribute>9<!--    -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/>
    </xsl:element>
  </xsl:template>

  <!--         
	( )   ( "") -->
  <xsl:template match="[]/">
    <xsl:element name="">
      <xsl:apply-templates select="@*|*|text()"/>
      <xsl:element name="">
	<xsl:attribute name="dt:dt">float</xsl:attribute>1<!--    .      .. -->
      </xsl:element>
    </xsl:element>
  </xsl:template>

  <!--        :
	  -  ,    -->
  <xsl:template match="[(@='')]">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/>
      <xsl:element name="">
	<xsl:attribute name="dt:dt">float</xsl:attribute>11<!--   -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/>
    </xsl:element>
  </xsl:template>

  <!-- ...   Camelota -   , -->
  <xsl:template match="//[@='']/@">
    <xsl:attribute name=""></xsl:attribute>
  </xsl:template>
  <xsl:template match="//[@='']/">
  </xsl:template>
  <xsl:template match="//[@='']/">
  </xsl:template>
  <xsl:template match="//[@='']/">
    <xsl:element name=""><xsl:apply-templates select="@*|*|text()" /></xsl:element>
  </xsl:template>
  <xsl:template match="//[@='']">
    <xsl:element name="">
      <xsl:apply-templates select="@*"/> <!--    (,  ,  ) -->
      <xsl:element name=""><!--    : -->
	<xsl:attribute name="dt:dt">float</xsl:attribute>11<!--    -->
      </xsl:element>
      <xsl:apply-templates select="*|text()"/> <!--    (   ) -->
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>
